#ifndef IUTIL_STR_H
#define IUTIL_STR_H

//
// until the C++ compilers learn to support ostringstream allow
// for the optional usage of ostrstream
//
#include "iutil.h"


#ifdef USE_STRSTREAM
#include <strstream>
typedef ostrstream ostringstream ;
inline string ss2string(ostrstream& c) {
  string s(c.str(),c.pcount()) ;
  c.freeze(0) ;
  return s ;
} ;
#else
#include <sstream>
inline string ss2string(ostringstream& c) {
  return c.str() ;
} ;
#endif



#endif
